<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AuthenticationRequiredFilter.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.filter</a> &gt; <span class="el_source">AuthenticationRequiredFilter.java</span></div><h1>AuthenticationRequiredFilter.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.filter;

import jakarta.ws.rs.container.ContainerRequestContext;
import jakarta.ws.rs.container.ContainerRequestFilter;
import jakarta.ws.rs.core.Response;
import jakarta.ws.rs.ext.Provider;

import java.io.IOException;

@AuthenticationRequired
@Provider
<span class="fc" id="L12">public class AuthenticationRequiredFilter implements ContainerRequestFilter {</span>

    @Override
    public void filter(ContainerRequestContext requestContext) throws IOException {
<span class="fc bfc" id="L16" title="All 2 branches covered.">        if (requestContext.getHeaders().get(&quot;Authentication&quot;) == null) {</span>
<span class="fc" id="L17">            requestContext.abortWith(Response.status(403).build());</span>
        }
<span class="fc" id="L19">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>